Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008181TestLinkBug Tracking Systems Integrationpublic2018-01-16 11:002018-04-15 10:36
Reporterkostgr_2 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.17 (2018 Q1) 
Summary0008181: IssueTracker config changes are not always taken by the same browser instance
DescriptionI've noticed an effect on my development instance of testlink on trying to extend issue tracking integration.

I've changed the configuration for issue tracker integration and haven't checked connection after that, but just have saved the configuration.

As an effect I've spent an amount of time trying to find out, why the new configuration was not taken.
Steps To ReproduceCreate new issue tracking integration configuration, check connection, change the configuration and save without rechecking it.

The changes are not taking effect till the new session is build.
Additional InformationThe correct solution would be to update the cashed session object on saving configuration, not at the connection check.

I've gone with light-fix (unset cached session object at saving configuration):
https://github.com/kostgr/testlink-code/commit/7e6a406b36fd251068b491eb9d4f3919aa47226b [^]
TagsNo tags attached.
Database (MySQL,Postgres,etc)everyone
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027157)
fman (administrator)
2018-01-16 23:19

thanks
(0027162)
fman (administrator)
2018-01-20 19:06

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/2145436774e3a63086c90115032b4f6ca84f6e97 [^]
(0027359)
fman (administrator)
2018-04-15 10:36

released

- Issue History
Date Modified Username Field Change
2018-01-16 11:00 kostgr_2 New Issue
2018-01-16 23:19 fman Note Added: 0027157
2018-01-20 19:06 fman QA Team - Task Workflow Status => TBD
2018-01-20 19:06 fman Note Added: 0027162
2018-01-20 19:06 fman Status new => resolved
2018-01-20 19:06 fman Fixed in Version => 1.9.17 (2018 Q1)
2018-01-20 19:06 fman Resolution open => fixed
2018-01-20 19:06 fman Assigned To => fman
2018-04-15 10:36 fman Note Added: 0027359
2018-04-15 10:36 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker